This method will update an existing fee with the specified ID.
The updated fee that will be saved.
If true, the customer can choose their installment plan
Whether to track inventory for the entire bundle, or for each product separately
Whether or not cancellation fees are applicable
If set, purchases of this merchandise are restricted
Whether or not this product should be available in the portal
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/fees/{tenantId}/{id}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/fees/{tenantId}/{id}
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/fees/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_customer_to_choose_installment_plan": true,
"bundled_products": [
{
"product_id": "string",
"product_type": "string",
"quantity": 0,
"type": "bundled product"
}
],
"bundled_products_inventory_handling": "bundle",
"business_unit_id": "string",
"cancellation_fee": 0.1,
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"enable_bundled_products": true,
"enable_cancellation_fees": true,
"enable_purchasing_eligibility": true,
"foreign_currency_prices": [
{
"cancellation_fee": 0.1,
"currency_code": "AED",
"member_price": 0.1,
"price": 0.1,
"restocking_fee": 0.1
}
],
"id": "string",
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"is_active": true,
"member_price": 0.1,
"name": "string",
"notes": "string",
"portal_options": {
"available_from": "2019-08-24T14:15:22Z",
"available_until": "2019-08-24T14:15:22Z"
},
"price": 0.1,
"publish_to_portal": true,
"purchasing_eligibility_criteria": {
"certificants": true,
"certification_options": {
"program_ids": [
"string"
]
},
"committee_member_options": {
"committee_ids": [
"string"
],
"committee_position_ids": [
"string"
],
"committee_type_ids": [
"string"
]
},
"committee_members": true,
"customer_type": "contact",
"maximum_age": 0.1,
"member_options": {
"chapter_member_options": {
"chapter_ids": [
"string"
],
"chapter_type_ids": [
"string"
]
},
"chapter_members": true,
"member_package_ids": [
"string"
],
"member_status_reason_ids": [
"string"
],
"member_statuses": [
"active"
],
"member_type_ids": [
"string"
],
"section_member_options": {
"section_ids": [
"string"
],
"section_type_ids": [
"string"
]
},
"section_members": true
},
"members": true,
"minimum_age": 0.1,
"non_members": true
},
"sys_bulk_load_id": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_locked": true,
"sys_version": 0.1,
"type": "certifications-fees"
}'The fee was updated successfully.
If true, the customer can choose their installment plan
Whether to track inventory for the entire bundle, or for each product separately
Whether or not cancellation fees are applicable
If set, purchases of this merchandise are restricted
Whether or not this product should be available in the portal
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "allow_customer_to_choose_installment_plan": true, "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "custom_field_values": [ { … } ], "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_purchasing_eligibility": true, "foreign_currency_prices": [ { … } ], "id": "string", "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "publish_to_portal": true, "purchasing_eligibility_criteria": { "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "customer_type": "contact", "maximum_age": 0.1, "member_options": { … }, "members": true, "minimum_age": 0.1, "non_members": true }, "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "type": "certifications-fees" }